This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 476867 - tifftopnm, sgitopnm and pnmtofiasco fail to read stdin
tifftopnm, sgitopnm and pnmtofiasco fail to read stdin
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: netpbm (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Jindrich Novy
BaseOS QE
:
Depends On: 479017
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 11:28 EST by Petr Šplíchal
Modified: 2013-07-02 19:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:19:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2008-12-17 11:28:58 EST
Description of problem:

When an image file is sent to pnmtofiasco stdin, the tool reports an error and does not convert the file as it is supposed according to manpage:

   This program is part of Netpbm. pnmtofiasco compresses the named pbm, pgm,
   or ppm image files, or Standard Input if no file is named, and produces a
   FIASCO file on Standard Output.

Version-Release number of selected component (if applicable):
netpbm-10.35-6.1.el5_2.2.x86_64
netpbm-10.35-6.1.el5_2.2.i386
netpbm-progs-10.35-6.1.el5_2.2.x86_64

How reproducible:
Always

Steps to Reproduce:
cat test.ppm | pnmtofiasco >test.fiasco
  
Actual results:
pnmtofiasco: bad magic number - not a ppm, pgm, or pbm file

Expected results:
100%  
100%  
100%  
and file converted

Additional info:
When a filename is specified on the command line everything works ok:
pnmtofiasco test.ppm >test.fiasco
100%  
100%  
100%
Comment 2 Petr Šplíchal 2008-12-18 06:46:05 EST
Similarly sgitopnm fails to read data on stdin:

# pnmtosgi test.ppm > test.sgi

# file test.sgi
test.sgi: SGI image data, RLE, 3-D, 100 x 100, 3 channels

# sgitopnm test.sgi > back.pnm
sgitopnm: writing PPM image

# cat test.sgi | sgitopnm > back.pnm
sgitopnm: seek error for offset 2912
Comment 3 Petr Šplíchal 2008-12-18 06:53:59 EST
And the same failure for tifftopnm:

# pnmtotiff test.ppm > test.tiff
pnmtotiff: computing colormap...
pnmtotiff: 16 colors found

# file test.tiff
test.tiff: TIFF image data, little-endian

# tifftopnm test.tiff > back.pnm
tifftopnm: writing PPM file

# cat test.tiff | tifftopnm > back.pnm
TIFFReadDirectory: Standard Input: Seek error accessing TIFF directory.
tifftopnm: error opening standard input as TIFF file
Comment 6 RHEL Product and Program Management 2009-03-26 13:07:45 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 11 errata-xmlrpc 2009-09-02 05:19:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1268.html

Note You need to log in before you can comment on or make changes to this bug.